Subject: Re: bug#51883: 29.0.50; Command to get accidentally deleted frames back

From: Stefan Monnier <[email-masked]>
Date: Sun, 23 Jan 2022 16:26:20 -0500

> I didn't mean to keep actual frames around.  I thought about keeping
> only the same data that is used by `clone-frame` to make a new frame
> identical to the original frame.  In case of `undelete-frame` this data
> can be used to make a frame identical to the deleted frame.
> I.e. a lightweight version of framesets, that avoids loading frameset.el.
> This mostly means that after deleting the frame, only frame parameters
> are kept from garbage collection, that later can be reused when making
> a new frame on undeletion.

Ah, got it, thanks.  Then fully agreed.  I was heading in the same
direction when I suggested to try and use as little as possible of
`frameset.el` and move the resulting code to `frame.el`.

        Stefan